LogKit2AvalonLoggerAdapter (Avalon Framework API)
Keywords: org.apache.avalon.framework.logger.LogKit2AvalonLoggerAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.logger
Class LogKit2AvalonLoggerAdapter

    java.lang.Object
      org.apache.avalon.framework.logger.LogKit2AvalonLoggerAdapter

All Implemented Interfaces:
  org.apache.log.LogTarget

public final class LogKit2AvalonLoggerAdapter
extends java.lang.Object
implements org.apache.log.LogTarget

A basic adapter that adapts an Avalon Logger to a Logkit Logger. Useful when providing backwards compatability support for Loggable components.

Since:
  4.1.4
Version:
  CVS $Revision: 1.11 $ $Date: 2004/02/11 14:34:26 $
Author:
  Avalon Development Team

Constructor Summary
`LogKit2AvalonLoggerAdapter(Logger logger)` Constructor for an Adaptor.

Method Summary
`static org.apache.log.Logger` | `createLogger(Logger logger)` Create a Logkit `Logger` instance that redirects to an Avalon `Logger` instance.
`void` | `processEvent(org.apache.log.LogEvent event)` Route a LogKit message to an avalon Logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogKit2AvalonLoggerAdapter

    public LogKit2AvalonLoggerAdapter(Logger logger)

  Constructor for an Adaptor. Adapts to specified Avalon Logger.

Parameters:
  `logger` - the avalon logger.

Method Detail

### createLogger

    public static org.apache.log.Logger createLogger(Logger logger)

  Create a Logkit `Logger` instance that redirects to an Avalon `Logger` instance.

  Parameters:
    `logger` - the Avalon Logger
  Returns:
    the LogKit Logger

### processEvent

    public void processEvent(org.apache.log.LogEvent event)

  Route a LogKit message to an avalon Logger.

  Specified by:
    `processEvent` in interface `org.apache.log.LogTarget`
  Parameters:
    `event` - the log message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.